Results 1 to 8 of 8

Thread: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400G

  1. #1

    Default LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400G

    Sorry to be a bit long-winded, but it will help understand why I think this is an important issue which needs to be addressed.

    I’ve been using SuSE since 1996. By the early 2000s, as Linux began to be easy enough for ordinary PC users, I began switching the dozens of friends and family which I supported over to using SUSE. By about 2005, I had stopped supporting Windows users entirely and had moved dozens of friends and family over to using SuSE (and then openSUSE) exclusively.

    I also upgrade their desktop PCs periodically with new AMD cpus. I’ve started using the new AMD Ryzen cpus and have just bought myself a Ryzen 5 2600X. I’ll be upgrading most of my users to the Ryzen 2200G or 2400G (and 2200U, 2500U, and 2700U mobile notebook) cpus which have a very good integrated AMD VEGA gpu built into the cpu. Quite a few of the users that I support are eagerly looking forward to a “dual upgrade” where they will get a new Ryzen cpu and the new openSUSE Leap 15 in the same upgrade.

    Since the Ryzen cpus with built-in VEGA gpus offer the best “bang for the buck” at the entry level end of the cpu market, name brand notebook and desktop PCs are rapidly appearing on the market from HP, Lenovo, Dell, Acer, and other brands. I think we will be seeing many such PCs in the coming years now that the AMD Ryzen cpus are as good or better than Intel’s cpus and AMD’s integrated VEGA graphics are so much better than Intel’s integrated graphics.

    Unfortunately, at this time, openSUSE Leap 15, as new as it is, does not yet have the amdgpu driver support for the built-in integrated VEGA gpus. Thus, openSUSE Leap does not set the correct display resolutions and defaults to 1280x1024 or 800x600 on many monitors. If a user has bought a new Ryzen cpu with integrated graphics or a new notebook or laptop PC with a Ryzen mobile cpu with integrated graphics and tries to install openSUSE Leap, they will be likely to come to the false conclusion that Linux is “no good” just because it doesn’t yet have the correct amdgpu driver for their Ryzen cpu.

    The later Linux kernel versions 4.16 and specially 4.17 do have the correct amdgpu drivers to work with the Ryzen cpus with the integrated VEGA gpus and the latest versions of openSUSE Tumbleweed do support the Ryzen cpus with integrated VEGA gpus. I installed the 4.17rc7 kernel on a test system with a Ryzen 3 2200G cpu and it seems to be working fine.

    So, I would urge the openSUSE developers to backport the kernel 4.17 and amdgpu drivers to openSUSE Leap 15 as soon as they can.

    I’d be happy to Beta test the backported drivers as they are developed.

  2. #2
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    484

    Default Re: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400


  3. #3

    Default Re: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400

    Quote Originally Posted by another_roadrunner View Post

    OK, thanks for the link. I'll try that later today.

    However, won't I still need an updated amdgpu driver?

    Also, won't the backported driver and kernel, once it's available, be more stable than the kernel in the link? My friends and family who are now enthusiastic openSUSE users are happy with openSUSE precisely because it is more stable than Windows, so I don't want to do anything which might compromise the stability of their openSUSE Leap 15 installations.

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,336
    Blog Entries
    15

    Default Re: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400

    Quote Originally Posted by linuxslantfan View Post

    OK, thanks for the link. I'll try that later today.

    However, won't I still need an updated amdgpu driver?

    Also, won't the backported driver and kernel, once it's available, be more stable than the kernel in the link? My friends and family who are now enthusiastic openSUSE users are happy with openSUSE precisely because it is more stable than Windows, so I don't want to do anything which might compromise the stability of their openSUSE Leap 15 installations.
    Hi
    It's not only the amdgpu kernel module, but also the xf86-video-amdgpu to support it if running Xorg... I had that fun with my mullins card when amdgpu added CIK support.

    You are much better off raising a bug to see if it can be done...
    openSUSE:Submitting bug reports - openSUSE
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5
    Join Date
    Feb 2018
    Location
    Romania
    Posts
    484

    Default Re: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400

    Off-topic:
    For me kernel 4.17 from HEAD repository works.
    And astonishingly nvidia 396.24 works, too.

  6. #6
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    29,777

    Default Re: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400

    @linuxlantfan,

    BTW, there is no need to post all your text in bold. Most of use can read normal text and some will be irritated thinking you are trying to shout.
    Henk van Velden

  7. #7

    Default Re: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400

    Quote Originally Posted by another_roadrunner View Post

    You might want to compare the different options for this important kernel selection question.The link above points to the HEAD Repository, which describes itself as:

    Quote Originally Posted by [Kernel_HEAD
    ]
    name = kernel builds for branch master (default)
    type = rpm-mdbaseurl = http: //download.opensuse.org/repositories/Kernel: / HEAD / standard /gpgcheck = 1
    gpgkey = http: //download.opensuse.org/repositories/Kernel: /HEAD/standard/repodata/repomd.xml.keyenabled = 1


    Within Leap 15.0 we still have the ithod repository. Which of itself says:

    Quote Originally Posted by [FONT=Roboto
    [Home_ithod_kernel] ]
    name = Stable openSUSE kernel (openSUSE_Leap_15.0)
    type = rpm-mdbaseurl = http: //download.opensuse.org/repositories/home: / ithod: /kernel/openSUSE_Leap_15.0/gpgcheck = 1
    gpgkey = http: //download.opensuse.org/repositories/home: / ithod: /kernel/openSUSE_Leap_15.0/repodata/repomd.xml.keyenabled = 1 [/FONT]



    Both repos contain the 4.17.x kernel. Maybe someone can explain the differences between the two repos.

    Best regards
    Ma

    By the way: Who drives several kernels should know this side:

    https://doc.opensuse.org/documentation/leap/reference/html/book.opensuse.reference/cha.tuning.multikernel.html



  8. #8
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,725

    Default AW: LEAP 15 needs the backported amdgpu driver from kernel 4.17 for the new AMD Ryzen 2200G and 2400

    http: //download.opensuse.org/repositories/home: / ithod: /kernel/openSUSE_Leap_15.0/gpgcheck = 1
    Without looking inside, its a /home Repo, whereas the Head Repo is for testing a new kernel......

    And kernel:stable Repo has also Kernel 4.17:
    Code:
    uname -a
    Linux linux64 4.17.0-1.gbcb3422-default #1 SMP PREEMPT Mon Jun 4 08:26:32 UTC 2018 (bcb3422) x86_64 x86_64 x86_64 GNU/Linux

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •